GrailsException (Grails 6.0.0)

Package: org.grails.core.exceptions

## [Java] Class GrailsException

- org.grails.core.exceptions.GrailsException

-     public abstract class GrailsException
      extends java.lang.RuntimeException

  Base class for all Grails exceptions that are not recoverable.

  Authors:
    Steven Devijver
  Since:
    Jul 2, 2005

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private static long` | `serialVersionUID` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GrailsException ()`
    `GrailsException (java.lang.String message)`
    `GrailsException (java.lang.String message, java.lang.Throwable cause)`
    `GrailsException (java.lang.Throwable cause)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.RuntimeException` | `java.lang.RuntimeException#printStackTrace(), java.lang.RuntimeException#printStackTrace(java.io.PrintWriter), java.lang.RuntimeException#printStackTrace(java.io.PrintStream), java.lang.RuntimeException#fillInStackTrace(), java.lang.RuntimeException#getCause(), java.lang.RuntimeException#initCause(java.lang.Throwable), java.lang.RuntimeException#toString(), java.lang.RuntimeException#getMessage(), java.lang.RuntimeException#getSuppressed(), java.lang.RuntimeException#getLocalizedMessage(), java.lang.RuntimeException#getStackTrace(), java.lang.RuntimeException#setStackTrace([Ljava.lang.StackTraceElement;), java.lang.RuntimeException#addSuppressed(java.lang.Throwable), java.lang.RuntimeException#wait(long), java.lang.RuntimeException#wait(long, int), java.lang.RuntimeException#wait(), java.lang.RuntimeException#equals(java.lang.Object), java.lang.RuntimeException#hashCode(), java.lang.RuntimeException#getClass(), java.lang.RuntimeException#notify(), java.lang.RuntimeException#notifyAll()`

- - ### Field Detail

    - #### private static final long serialVersionUID

  - ### Constructor Detail

    - #### public GrailsException()

    - #### public GrailsException(java.lang.String message)

    - #### public GrailsException(java.lang.String message, java.lang.Throwable cause)

    - #### public GrailsException(java.lang.Throwable cause)